<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>

	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
   		<xsl:choose>
           <!-- active menu with link-->
        <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
			
                          <td align="right" width="20">                     
                             <img src="images/VAP-24_button.gif" border="0" alt=""/>
                          </td>

			<td align="left" valign="top" style="padding-right:20px;padding-left:5px;" >
			 <a href="{@HREF}" class="amenu">
			  <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
			 </a>
			</td>
			
       </xsl:when>
       
            <!-- active menu without link-->
            <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			
			
                          <td  align="right" width="20">
                              <img src="images/VAP-24_button.gif" border="0" alt=""/>
                          </td>

			  <td align="left" valign="top" class="amenu" style="padding-right:20px;padding-left:5px;">
			    <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
			  </td>
            
			
            </xsl:when>
            <xsl:otherwise>
				
                            <td align="right" width="20">
                              
                                 <img src="images/VAP-24_button.gif" border="0" alt=""/>
                                
                                </td>
			
			<td align="left" valign="top" style="padding-right:20px;padding-left:5px;">
			   <a href="{@HREF}" class="menu">
			      <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
			   </a>
			</td>
           
			
            </xsl:otherwise>
	    </xsl:choose>    
	</xsl:template>	

</xsl:stylesheet>
