<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

  <xsl:output method="html" indent="no"/>
  <xsl:strip-space elements="*"/>
  <xsl:include href="buttons.xsl"/>

  <xsl:template match="LAYOUT">
    <xsl:variable name="cID" select="@ID"/>
 		<html>
<!-- xsk-07 -->
<head>
	<title>
          <xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
        </title>
        <xsl:apply-templates select="META-TAGS"/>
	<link href="css/styles.css" rel="stylesheet" type="text/css"/>
</head>
<body topmargin="0" bottommargin="0" rightmargin="0" leftmargin="0">
	<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
		<tr>
			<td width="100%" height="250px">
				<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
					<tr>
						<td rowspan="2" width="52px" height="250px" style="background-image:url('images/top_left.jpg')">
							<div style="width:52px;height:250px"></div>
						</td>
						<td width="100%" height="21px" style="background-image:url('images/top_top.jpg')">
							<div style="width:686px; height:21px"></div>
						</td>
						<td rowspan="2" width="42px" height="250px" style="background-image:url('images/top_right.jpg')">
							<div style="width:42px;height:250px"></div>
						</td>
					</tr>
					<tr>
						<td width="100%" height="229px">
							<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
								<tr>
									<td width="100%" height="182px">
										<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
											<tr>
												<td width="37px" height="100%" style="background-image:url('images/header1.jpg')">
													<div style="width:37px"></div>
												</td>
												<td width="100%" height="100%" style="background-image:url('images/header4.jpg')" align="center" valign="middle">
													<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" align="center" >
														<tr>
															<td width="100%" height="100%" style="background-image:url('images/header2.jpg');background-position:left;background-repeat:no-repeat" align="center" valign="middle">
																<table cellpadding="0" cellspacing="0" border="0" width="100%" align="center">
																	<tr>
																		<td></td>
																		<td align= "center" valign="middle">
																			<a href="./"><img src="images/{LOGO/@NAME}" alt="" border="0"/></a>
																		</td>
																		<td></td>
																	</tr>
																	<tr>
																		<td colspan="3" style="text-align:center" class="company">
																			<xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
																		</td>
																	</tr>
																	<tr>
																		<td colspan="3" style="text-align:center" class="slogan">
																			<xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
																		</td>
																	</tr>
																</table>	
															</td>
														</tr>
													</table>
												</td>
												<td width="414px" height="100%" style="background-image:url('images/header3.jpg')">
													<div style="width:414px"></div>
												</td>
											</tr>
										</table>
									</td>
								</tr>
								<tr>
									<td width="100%" height="47px">
										<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
											<tr>
												<td height="100%" width="37px" style="background-image:url('images/topmenu_left.jpg')">
													<div style="width:37px"></div>
												</td>
												<td height="100%" width="100%" style="background-image:url('images/topmenu_middle.jpg')"  align="center" valign="middle">
													<table cellpadding="0" cellspacing="0" border="0" height="100%">
														<tr>
															<xsl:call-template name="TOP-MENU"/>
														</tr>
													</table>
												</td>
												<td height="100%" width="32px" style="background-image:url('images/topmenu_right.jpg')">
													<div style="width:32px"></div>
												</td>
											</tr>
										</table>
									</td>
								</tr>
							</table>
						</td>
					</tr>
				</table>
			</td>	
		</tr>
		<tr>
			<td width="100%" height="100%">
				<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
					<tr>
						<td width="62px" height="100%">
							<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
								<tr>
									<td width="62px" height="134px" style="background-image:url('images/content_left1.jpg'); background-repeat:no-repeat;background-position:right top ">
										<div style="width:62px;height:134px"></div>
									</td>								
								</tr>
								<tr>
									<td width="62px" height="100%" style="background-image:url('images/content_left2.jpg');">
										<div style="width:62px"></div>
									</td>
								</tr>
								<tr>
									<td width="62px" height="84px" style="background-image:url('images/content_left3.jpg'); background-repeat:no-repeat;background-position:right bottom ">
										<div style="width:62px;height:84px"></div>
									</td>
								</tr>
							</table>
						</td>
						<td width="100%" height="100%">
							<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
								<tr>
									<td height="26px" width="193px" style="background-image:url('images/content1.jpg')">
										<div style="width:193px;height:26px"></div>
									</td>
									<td height="26px" width="100%" style="background-image:url('images/content2.jpg')">
									</td>
									<td height="26px" width="106px" style="background-image:url('images/content3.jpg')">
										<div style="width:106px;height:26px"></div>
									</td>
								</tr>
								<tr>
									<td width="193px" height="100%">
										<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
											<tr>
												<td width="100%" height="23px">
													<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
														<tr>
															<td width="27px" height="100%" style="background-image:url('images/sub1.jpg')">
															</td>
															<td width="136px" height="100%" style="background-image:url('images/sub2.jpg')">
															</td>
															<td width="30px" height="100%" style="background-image:url('images/sub3.jpg')">
															</td>
														</tr>
													</table>
												</td>
											</tr>
											<tr>
												<td width="100%" height="100%">
													<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
														<tr>
															<td width="23px" height="100%" style="background-image:url('images/sub7.jpg')">
																<div style="width:23px"></div>
															</td>
															<td	width="100%" height="100%" style="background-color:#7E7E7E"  valign="top">
																<table cellpadding="0" cellspacing="0" border="0" width="100%">
																	<xsl:call-template name="SUB-MENU">
                                                						<xsl:with-param name="pageID" select="@ID"/>
                                             						</xsl:call-template>
																</table>
															</td>
															<td width="18px" height="100%" style="background-image:url('images/sub8.jpg')">
																<div style="width:18px"></div>
															</td>
														</tr>
													</table>
												</td>
											</tr>
											<tr>
												<td width="100%" height="29px">
													<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
														<tr>
															<td width="27px" height="100%" style="background-image:url('images/sub4.jpg')">
															</td>
															<td width="136px" height="100%" style="background-image:url('images/sub5.jpg')">
															</td>
															<td width="30px" height="100%" style="background-image:url('images/sub6.jpg')">
															</td>
														</tr>
													</table>
												</td>
											</tr>
										</table>
									</td>
									<td colspan="2" width="100%" height="100%" rowspan="2" style="background-image:url('images/content5.jpg'); background-position:right bottom; background-repeat:repeat-x;background-color:#CDCBC7;padding:7px 9px 7px 9px">
										<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
											<tr>
												<td width="19px" height="19px" style="background-image:url('images/text_header1.jpg')">
													<div style="width:19px;height:19px"></div>
												</td>
												<td width="100%" height="19px" style="background-image:url('images/text_header1.jpg')">
													<table cellpadding="0" cellspacing="0" border="0" height="100%" style="background-color:#CDCBC7">
														<tr>
															<td height="19px" style="padding:0px 4px 0px 4px;text-align:center" class="text-header">
																<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
															</td>
														</tr>
													</table>												
												</td>
											</tr>
											<tr>
												<td colspan="2" class="pageContent" style="text-align:left ;vertical-align:top;padding-top:5px" height="100%" name="SB_stretch">
													<xsl:apply-templates select="PAGE-CONTENT"/>
												</td>
											</tr>
										</table>
									</td>
								</tr>
								<tr>
									<td width="193px" height="64px" style="background-image:url('images/content4.jpg');background-position:right bottom;background-repeat:no-repeat;background-color:#CDCBC7">
										<div style="width:193px;height:64px"></div>
									</td>
								</tr>
							</table>
						</td>
						<td width="60px" height="100%" >
							<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
								<tr>
									<td width="60px" height="134px" style="background-image:url('images/content_right1.jpg');background-repeat:no-repeat;background-position:left top">
										<div style="width:60px;height:134px"></div>
									</td>
								</tr>
								<tr>
									<td width="60px" height="100%" style="background-image:url('images/content_right2.jpg');">
										<div style="width:60px"></div>
									</td>
								</tr>
								<tr>
									<td width="60px" height="84px" style="background-image:url('images/content_right3.jpg')">
										<div style="width:60px;height:84px"></div>	
									</td>
								</tr>
							</table>
						</td>
					</tr>	
				</table>
			</td>	
		</tr>
		<tr>
			<td width="100%" height="96px">
				<table cellpadding="0" cellspacing="0" border="0" width="100%" height="96px">
					<tr>
						<td width="86px" height="100%" rowspan="2" style="background-image:url('images/bottom_left.jpg')">
							<div style="width:86px;height:96px"></div>
						</td>
						<td width="100%" height="47px" style="background-image:url('images/bottom_m1.jpg')" align="center" valign="middle">
							<table cellpadding="0" cellspacing="0" border="0">
								<tr>
									<xsl:call-template name="BOTTOM-MENU"/>
								</tr>
							</table>
						</td>
						<td width="74px" height="100%" rowspan="2" style="background-image:url('images/bottom_right.jpg')">
							<div style="width:74px;height:96px"></div>
						</td>
					</tr>
					<tr>
						<td width="100%" height="49px" style="background-image:url('images/bottom_m2.jpg')" align="center" valign="middle" class="footer">
							<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
						</td>
						</tr>
					</table>
			</td>	
		</tr>
	</table>
</body>
</html>
</xsl:template>



  <xsl:template name="TOP-MENU">
    <xsl:apply-templates select="MENU" mode="top"/>
  </xsl:template>


  <xsl:template name="SUB-MENU">
    <xsl:param name="pageID"/>
    <xsl:choose>
      <xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
        <xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
      </xsl:when>
      <xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
        <xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
        <xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
      </xsl:when>
    </xsl:choose>
  </xsl:template>

  <xsl:template match="MENU-ITEM" mode="sub">
    <xsl:choose>
      <xsl:when test="@ID=/LAYOUT/@ID" >
        <tr>
			<td width="29px" height="34px" align="center" valign="middle">
				<img src="images/sub_button.jpg" alt=""/>
			</td>																		
			<td width="123px" height="34px" class="submenu">
				<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
			</td>
		</tr>
	  </xsl:when>
      <xsl:otherwise>
        <xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
          <tr>
			<td width="29px" height="34px" align="center" valign="middle">
				<a href="{@HREF}">
					<img src="images/sub_button.jpg" alt="" border="0"/>
				</a>
			</td>
			<td width="123px" height="34px">
				<a  class="asubmenu" href="{@HREF}">
					<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
				</a>
			</td>
		  </tr>
		</xsl:if>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="position()!=last()">
      <tr>
		<td colspan="2" style="background-image:url('images/sub_hr.jpg')" width="100%" height="1px">
		</td>
	  </tr>
	</xsl:if>
  </xsl:template>

  <xsl:template name="BOTTOM-MENU">
    <xsl:apply-templates select="MENU" mode="bottom"/>
  </xsl:template>

  <xsl:template match="MENU" mode="bottom">
    <xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
  </xsl:template>

  <xsl:template match="MENU-ITEM"  mode="bottom">
    <xsl:choose>
      <!-- when vizited inside-->
      <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
        <td align="center" valign="middle">
			<a class="bmenu" href="{@HREF}">
				<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
			</a>
		</td>
	  </xsl:when>
      <!-- when active-->
      <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
        <td align="center" valign="middle"  class="bmenu">
			<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
		</td>
	  </xsl:when>
      <xsl:otherwise>
        <td align="center" valign="middle">
			<a class="abmenu" href="{@HREF}">
				<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
			</a>
		</td>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="position()!=last()">
      <td align="center" valign="middle" style="padding-left:11px;padding-right:13px">
		<img alt="" src="images/bottom_button.jpg"/>
	  </td>
	</xsl:if>
  </xsl:template>

  <xsl:template match="META-TAGS">
    <xsl:apply-templates mode="meta-tags"/>
  </xsl:template>

  <xsl:template match="*" mode="meta-tags">
    <meta name="{local-name(.)}">
      <xsl:attribute name="content">
        <xsl:value-of select="." disable-output-escaping="yes"/>
      </xsl:attribute>
    </meta>
  </xsl:template>


  <xsl:template match="PAGE-CONTENT">
    <xsl:comment> EDITABLE CONTENT </xsl:comment>
    <xsl:apply-templates mode="meta-tags"/>
  </xsl:template>

</xsl:stylesheet>
