<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- xeug-11 -->
    <head>
	<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
	</title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" background="images/bg.jpg">
  <tr>
    <td align="left" valign="top"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td colspan="3" align="left" valign="top"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td align="left" valign="top" background="images/headerbg.jpg">
			<table width="100%" height="191"  border="0" cellpadding="0" cellspacing="0" style="background-image: url(images/headerleft.jpg);background-repeat: no-repeat;background-position: left top;">
              <tr>
                <td><table width="340" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td width="80" rowspan="2"><img src="images/space.gif" width="80" height="40"/></td>
                    <td width="40" rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
                    <td class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
                  </tr>
                  <tr>
                    <td class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
                  </tr>
                </table>
                  <br/>
                  <img src="images/space.gif" width="368" height="10"/></td>
              </tr>
            </table></td>
            <td width="412" align="right" valign="top"><img src="images/header.jpg" width="412" height="191"/></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td width="98" align="left" valign="top" background="images/cent01.jpg"><img src="images/left01.jpg" width="98" height="72"/></td>
        <td width="100%" align="left" valign="top" background="images/cent01.jpg"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td height="100%" align="center"><table border="0" cellspacing="0" cellpadding="0">
              <tr>
                <xsl:call-template name="TOP-MENU"/>
              </tr>
            </table></td>
          </tr>
          <tr>
            <td height="20"></td>
          </tr>
        </table></td>
        <td width="97" align="right" valign="top"><img src="images/right01.jpg" width="97" height="72"/></td>
      </tr>
      <tr>
        <td height="100%" colspan="3" align="left" valign="top"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td width="98" align="left" valign="top" background="images/leftbg.gif"><img src="images/left02.jpg" width="98" height="122"/></td>
            <td height="100%" align="left" valign="top" background="images/cent.jpg">
			<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" style="background-image: url(images/cent02.jpg);background-repeat: repeat-x;background-position: left top;">
              <tr>
                <td height="100%" align="left" valign="top" ><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
                  <tr>
                    <td width="180" align="left" valign="top"><img src="images/space.gif" width="180" height="10"/><br/>
                      <table width="161" border="0" cellspacing="0" cellpadding="0">
 <tr>
 <td colspan="2"><img src="images/subline.gif" width="161" height="15"/></td>
</tr>
                        <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
                      </table></td>
                    <td width="100%" align="left" valign="top" class="pageContenta" style="padding-left:15px;padding-right:15px;"><table  border="0" cellpadding="0" cellspacing="0">
                      <tr>
                        <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                        <td valign="top"><img src="images/text_icon.gif" width="17" height="17" /></td>
                      </tr>
                    </table>
                      <br/>
                      <table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" class="pageContent">
                        <tr>
                          <td align="left" height="100%" valign="top" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td>
                        </tr>
                      </table></td>
                  </tr>
                </table></td>
              </tr>
            </table></td>
            <td width="97" align="right" valign="top" background="images/rightbg.gif"><img src="images/right02.jpg" width="97" height="122"/></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td align="left" valign="top"><img src="images/left03.jpg" width="98" height="92"/></td>
      <td colspan="2" align="right" valign="top" style="background-image: url(images/cent03.jpg);background-repeat: repeat-x;background-position: left top;">
	  <table width="100%" height="172"  border="0" cellpadding="0" cellspacing="0" style="background-image: url(images/header2.jpg);background-repeat: no-repeat;background-position: right top;">
        <tr>
          <td width="210" align="left" valign="top"><table width="210"  border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td height="83"><img src="images/space.gif" width="210" height="83"/></td>
            </tr>
            <tr>
              <td height="60" background="images/copy.gif" class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
            </tr>
          </table></td>
          <td width="100%"></td>
        </tr>
      </table>
	  </td>
        </tr>
    </table></td>
  </tr>
</table>
</BODY>
	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
<tr>
<td class="smenu">
<span class="smenub"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span>
</td>
<td width="18"><img src="images/subicon.gif" width="18" height="9"/></td>
</tr>
<tr>
 <td colspan="2"><img src="images/subline.gif" width="161" height="15"/></td>
</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
<tr>
<td class="smenu">
<a href="{@HREF}" class="smenua"> 
<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
</a>
</td>
<td width="18"><img src="images/subicon.gif" width="18" height="9"/></td>
</tr>
<tr>
 <td colspan="2"><img src="images/subline.gif" width="161" height="15"/></td>
</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	</xsl:if>
</xsl:template>	
<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
		<td style="width:5px;"></td>
		<td class="abmenu"><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
		<td style="width:5px;"></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
		<td style="width:5px;"></td>
        <td class="abmenu"><span class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
		<td style="width:5px;"></td>
           </xsl:when>
           <xsl:otherwise>
		<td style="width:5px;"></td>
		<td class="abmenu"><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
		<td style="width:5px;"></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
		<td><img src="images/av234_36.gif" style="margin: 0px 5px 0px 5px;"/></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>

<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
