<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
  <xsl:output method="html" indent="no"/>
  <xsl:strip-space elements="*"/>
  <!--MENU-->
  <xsl:template match="MENU" mode="top">
    <xsl:apply-templates select="MENU-ITEM"  mode="top"/>
  </xsl:template>

  <!--MENU-ITEM-->
  <xsl:template match="MENU-ITEM"  mode="top">
    <xsl:choose>
      <!-- active menu with link-->
      <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
       <td style="background-image:url('images/topmenu_button1.jpg')" width="15px">
	   </td>
	   <td align="center" valign="middle" style="background-image:url('images/topmenu_button2.jpg')">
		<a class="menu3" href="{@HREF}">
			<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
	   </a>
	   </td>
		<td style="background-image:url('images/topmenu_button3.jpg')" width="15px">
		</td>
	  </xsl:when>
      <!-- active menu without link-->
      <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
       <td style="background-image:url('images/topmenu_button1.jpg')" width="15px">
	   </td>
	   <td align="center" valign="middle" class="menu3" style="background-image:url('images/topmenu_button2.jpg')">
		<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
	   </td>
	   <td style="background-image:url('images/topmenu_button3.jpg')" width="15px">
	  </td>
      </xsl:when>
      <xsl:otherwise>
        <td align="center" valign="middle" style="padding-left:11px;padding-right:11px">
		<a class="amenu" href="{@HREF}">
		<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
		</a>
		</td>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="position()!=last()">
    <td width="1px" style="background-image:url('images/topmenu_hr.jpg')"></td>
    </xsl:if>
  </xsl:template>

</xsl:stylesheet>



