<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

  <xsl:output method="html" indent="no"/>
  <xsl:strip-space elements="*"/>
  <xsl:include href="buttons.xsl"/>

  <xsl:template match="LAYOUT">
    <xsl:variable name="cID" select="@ID"/>
    <html>
<!-- xww-12 -->
      <head>
        <title>
          <xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
        </title>
		<xsl:apply-templates select="META-TAGS"/>
        <link rel="stylesheet" href="css/styles.css" type="text/css"/>
      </head>
      <body leftmargin="0" topmargin="0" rightmargin="0" bottommargin="0" >
        <table width="100%" height="100%" cellpadding="0" cellspacing="0" border="0">
          <tr>
            <td width="100%" height="318px">
              <table width="100%" height="100%" cellpadding="0" cellspacing="0" border="0">
                <tr>
                  <td height="7px" width="100%" style="background-image: url(images/hr1.jpg)">
                  </td>
                </tr>
                <tr>
                  <td width="100%" height="287px">
                    <table width="100%" height="287" cellpadding="0" cellspacing="0" border="0">
                      <tr>
                        <td width="100%" height="68px" style="background-image: url(images/top-bg.jpg)">
                          <table width="100%" height="100%" cellpadding="0" cellspacing="0" border="0">
                            <tr>
                              <td width="353px" height="100%" style="background-image: url(images/top-bg1.jpg); background-position: left 50%; vertical-align: middle; text-align: right; background-repeat: no-repeat;">
                                <div style="width: 353px">
                                </div>
                              </td>
                              <td width="100%" style="padding:2px 10px 2px 10px;" align="left" valign="middle">
                                <table cellpadding="0" cellspacing="0" border="0" >
                                  <tr>
                                    <!--TOP MENU-->
                                    <xsl:call-template name="TOP-MENU"/>
                                    <!--END TOP MENU-->
                                  </tr>
                                </table>
                                <div style="width:380px"></div>
                              </td>
                            </tr>
                          </table>
                        </td>
                      </tr>
                      <tr>
                        <td width="100%" height="219px" >
                          <table width="100%" height="219px" cellpadding="0" cellspacing="0" border="0">
                            <tr >
                              <td width="28px" height="219px" style="vertical-align: top; text-align: left; background-image: url(images/header0.jpg);">
                                <div style="width:28px"></div>
                              </td>
                              <td width="100%" height="219px" style="background-image: url(images/header0.jpg);text-align: center;">
                                
                                <table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%"   style="background-image: url(images/header1.jpg);background-repeat:no-repeat;background-position:right">
                                  <tr>
                                    <td>
                                    <table cellpadding="0" cellspacing="0" border="0">
                                      <tr>
                                        <td>
                                        </td>
                                        <td align="center" valign="middle">
                                          <a href="./"><img src="images/{LOGO/@NAME}" border="0"/></a>
                                        </td>
                                        <td>
                                        </td>
                                      </tr>
                                      <tr>
                                        <td colspan="3" style="text-align:center; vertical-align:middle" class="company">
                                          <xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
                                        </td>
                                      </tr>
                                     </table>
                                    </td>
                                  </tr>
                                </table>
                                <div style="width:430px"></div>
                              </td>
                              <td width="322px" height="219px" style="vertical-align: top; background-image: url(images/header2.jpg);">
                                <div style="width:322px"></div>
                              </td>
                            </tr>
                          </table>
                        </td>
                      </tr>
                    </table>
                  </td>
                </tr>
                <tr>
                  <td width="100%" height="24px">
                    <table width="100%" height="100%" cellpadding="0" cellspacing="0" border="0">
                      <tr>
                        <td width="235px" height="24px" style="background-image: url(images/hr2.jpg); vertical-align: top;">
                          <div style="width: 235px">

                          </div>
                        </td>
                        <td width="100%" height="24px" style="background-color: #000000; padding-left:10px; vertical-align: middle;" class="text-header">
                          <!--TEXT HEADER-->
                          <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
                          <!--END TEXT HEADER-->
                          <img src="images/textheader.jpg"  style="padding-left:5px; vertical-align:top"/>
                        </td>
                        <td height="24px" width="322px" style="vertical-align: top; background-image: url(images/header3.jpg);">
                          <div style="width: 322px">
                          </div>
                        </td>
                      </tr>
                    </table>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
          <tr>
            <td width="100%" height="100%" style="background-image: url(images/context.jpg)">
              <table width="100%" height="100%" cellpadding="0" cellspacing="0" border="0">
                <tr>
                  <td width="199px" height="100%" style="vertical-align: top; padding-top:17px;padding-left:20px">
                    <table width="172px" cellpadding="0" cellspacing="0" border="0">
                      <tr>
                        <td width="2px" height="2px" style="background-image: url(images/sub1.jpg);" >
                        </td>
                        <td width="168px" height="2px" style="background-image: url(images/sub2.jpg);">
                        </td>
                        <td width="2px" height="2px" style="background-image: url(images/sub3.jpg);">
                        </td>
                      </tr>
                      <tr>
                        <td width="2px" style="background-image: url(images/sub4.jpg);">
                          <div style="height:90px; width:2px"></div>
                        </td>
                        <td style="vertical-align: top; padding-top:15px; padding-left:11px" width="168px">
                          <table width="151px" cellpadding="0" cellspacing="0" border="0">
                            <!--SUB MENU-->
                            <xsl:call-template name="SUB-MENU">
                              <xsl:with-param name="pageID" select="@ID"/>
                            </xsl:call-template>
                            <!--SUB MENU-->
                          </table>
                          <div style="height:15px"></div>
                        </td>
                        <td width="2px" style="background-image: url(images/sub5.jpg);">
                          <div style="height:90px; width:2px"></div>
                        </td>
                      </tr>
                      <tr>
                        <td width="2px" height="2px" style="background-image: url(images/sub6.jpg);" >
                        </td>
                        <td width="168px" height="2px" style="background-image: url(images/sub7.jpg);">
                        </td>
                        <td width="2px" height="2px" style="background-image: url(images/sub8.jpg);">
                        </td>
                      </tr>
                    </table>
                    <div style="width: 199px">
                    </div>
                  </td>
                  <td width="100%" height="100%" style="padding-top:17px;">
                    <table width="100%" height="100%" cellpadding="0" cellspacing="0" border="0">
                      <tr>
                        <td width="2px" height="2px" style="background-image: url(images/sub1.jpg);" >
                        </td>
                        <td width="100%" height="2px" style="background-image: url(images/sub2.jpg);">
                        </td>
                        <td width="2px" height="2px" style="background-image: url(images/sub3.jpg);">
                        </td>
                      </tr>
                      <tr>
                        <td width="2px"  height="100%" style="background-image: url(images/sub4.jpg);">
                          <div style="height:110px; width:2px"></div>
                        </td>
                        <td class="pageContent" style="padding:20px 20px 20px 20px; vertical-align: top; text-align: left;" name="SB_stretch">
                          <!--PAGE CONTENT-->
                          <xsl:apply-templates select="PAGE-CONTENT"/>
                          <!--END PAGE CONTENT-->
                        </td>
                        <td width="2px" height="100%" style="background-image: url(images/sub5.jpg);">
                          <div style="height:110px; width:2px"></div>
                        </td>
                      </tr>
                      <tr>
                        <td width="2px" height="2px" style="background-image: url(images/sub6.jpg);" >
                        </td>
                        <td width="522px" height="2px" style="background-image: url(images/sub7.jpg);">
                        </td>
                        <td width="2px" height="2px" style="background-image: url(images/sub8.jpg);">
                        </td>
                      </tr>
                      </table>
                  </td>
                  <td height="100%" width="55px">
                    <div style="width:55px"></div>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
          <tr>
            <td width="100%" height="76px">
              <table width="100%" height="76px" cellpadding="0" cellspacing="0" border="0">
                <tr>
                  <td width="22px" height="76px" style="vertical-align: top; background-image: url(images/bottom1.jpg);">
                    <div style="width:22px; height:76px">
                    </div>
                  </td>
                  <td  class="footer" style="width: 187px;text-align: left; padding-left:10px;background-image: url(images/bottom2.jpg);" valign="top">
                    <div style="width: 177px; height:10px;" ></div>
                    <!--COPYRIGHTS-->
                    <xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
                    <!--COPYRIGHTS-->
                  </td>
                  <td style="vertical-align:middle; background-image: url(images/bottom3.jpg); padding-top:15px; padding-left:20px; padding-right:20px" width="100%" height="76px">
                    <table cellpadding="0" cellspacing="0" border="0" align="center" >
                      <tr>
                        <!--BOTTOM MENU-->
                        <xsl:call-template name="BOTTOM-MENU"/>
                        <!--END BOTTOM MENU-->
                      </tr>
                    </table>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
        </table>
      </body>
    </html>

  </xsl:template>



  <xsl:template name="TOP-MENU">
    <xsl:apply-templates select="MENU" mode="top"/>
  </xsl:template>


  <xsl:template name="SUB-MENU">
    <xsl:param name="pageID"/>
    <xsl:choose>
      <xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
        <xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
      </xsl:when>
      <xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
        <xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
        <xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
      </xsl:when>
    </xsl:choose>
  </xsl:template>

  <xsl:template match="MENU-ITEM" mode="sub">
    <xsl:choose>
      <xsl:when test="@ID=/LAYOUT/@ID" >
        <tr>
          <td height="18px" width="126px" style="background-image: url(images/submenu.jpg);text-align:center; padding-left:2px" class="submenu">
            <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
          </td>
          <td height="18px" width="25px" style="background-image: url(images/submenu1.jpg); vertical-align: middle; text-align: center;">
            <img src="images/subbutton.gif"/>
          </td>
        </tr>
      </xsl:when>
      <xsl:otherwise>
        <xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
          <tr>
            <td height="18px" width="126px" style="background-image: url(images/submenu.jpg); text-align:center; padding-left:2px">
              <a href="{@HREF}" class="asubmenu">
                <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
              </a>
            </td>
            <td height="18px" width="25px" style="background-image: url(images/submenu1.jpg); vertical-align: middle; text-align: center;">
              <a href="{@HREF}">
                <img src="images/subbutton.gif" border="0"/>
              </a>
            </td>
          </tr>
        </xsl:if>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="position()!=last()">
      <tr>
        <td colspan="2" style="height:12px;">
          <div style="height:12px"></div>
        </td>
      </tr>
    </xsl:if>
  </xsl:template>

  <xsl:template name="BOTTOM-MENU">
    <xsl:apply-templates select="MENU" mode="bottom"/>
  </xsl:template>

  <xsl:template match="MENU" mode="bottom">
    <xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
  </xsl:template>

  <xsl:template match="MENU-ITEM"  mode="bottom">
    <xsl:choose>
      <!-- when vizited inside-->
      <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
        <td  style="padding-left:5px; padding-right:5px; text-align:center">
          <a href="{@HREF}" class="bmenu" >
            <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
          </a>
        </td>
      </xsl:when>
      <!-- when active-->
      <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
        <td class="bmenu" style="padding-left:5px; padding-right:5px; text-align:center">
          <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
        </td>
      </xsl:when>
      <xsl:otherwise>
        <td  style="padding-left:5px; padding-right:5px; text-align:center">
          <a href="{@HREF}" class="abmenu" >
            <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
          </a>
        </td>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="position()!=last()">
      <td style="background-image: url(images/bottom.jpg); background-position: center center; background-repeat: no-repeat;" width="8px" >
      </td>
    </xsl:if>
  </xsl:template>

  <xsl:template match="META-TAGS">
    <xsl:apply-templates mode="meta-tags"/>
  </xsl:template>

  <xsl:template match="*" mode="meta-tags">
    <meta name="{local-name(.)}">
      <xsl:attribute name="content">
        <xsl:value-of select="." disable-output-escaping="yes"/>
      </xsl:attribute>
    </meta>
  </xsl:template>


  <xsl:template match="PAGE-CONTENT">
    <xsl:comment> EDITABLE CONTENT </xsl:comment>
    <xsl:apply-templates mode="meta-tags"/>
  </xsl:template>

</xsl:stylesheet>
